<?xml version="1.0"?>

<!--

Copyright 2005-2010 Xmarks Inc.

foxmarks-progress.xul: implements the small window that appears when
performing a synch, upload, download, or merge operation.

-->

<?xml-stylesheet href="chrome://global/skin/global.css" type="text/css"?>

<!DOCTYPE dialog SYSTEM "chrome://foxmarks/locale/foxmarks.dtd">

<dialog id="foxmarks-progress" title="&progress.title;"
  xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
  windowtype="foxmarks:progress"
  buttons="cancel"
  ondialogcancel="return onProgressCancel();"
  onload="onProgressLoad()"
  onunload="onProgressUnload()"
  persist="screenX screenY" 
  style="width: &progress.width;em;">

  <script src="foxmarks-settings.js" />
  <script src="foxmarks-progress.js" />

  <vbox flex="1">
    <label value="&progress.title;" 
      style=
        "font-size: 1.0em; font-family:arial,sans-serif; font-weight: bold;" />
    <progressmeter mode="undetermined" />
    <grid id="lineitems" style="font-size: 12px;font-family:arial,sans-serif; ">
      <columns>
        <column /> <column /> <column flex="1" />
      </columns>
      <rows>
        <row align="center">
          <image id="bookmarks-check"
            style="width: 34px; height: 22px; margin: 4px 4px;" />
          <label value="&label.sync.bookmarks;" style= "margin: 8px 4px;"/>
          <label id="bookmarks" style= "text-align: right; padding: 8px 4px;"/>
        </row>
        <row align="center">
          <image id="history-check"
            style="width: 34px; height: 22px; margin: 4px 4px;" />
          <label value="&label.sync.history;" style= "margin: 8px 4px;"/>
          <label id="history" style= "text-align: right; padding: 8px 4px;"/>
        </row>
        <row align="center">
          <image id="passwords-check"
            style="width: 34px; height: 22px; margin: 4px 4px;" />
          <label value="&label.sync.passwords;" style= "margin: 8px 4px;"/>
          <label id="passwords" style="text-align: right; padding: 8px 4px;"/>
        </row>
        <row align="center">
          <image id="tabs-check"
            style="width: 34px; height: 22px; margin: 4px 4px;" />
          <label value="&label.sync.tabs;" style= "margin: 8px 4px;"/>
          <label id="tabs" style="text-align: right; padding: 8px 4px;"/>
        </row>
      </rows>
    </grid>
  </vbox>
</dialog>
